List userCredentialUsageDetails
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Get a list of userCredentialUsageDetails objects for a given tenant. Details include user information, status of the reset, and the reason for failure.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Reports.Read.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Reports.Read.All |
HTTP request
GET /reports/userCredentialUsageDetails
Optional query parameters
This function supports the optional OData query parameter $filter. You can apply $filter on one or more of the following properties of the userCredentialUsageDetails resource.
| Properties | Description and example |
|---|---|
| feature | Filter by type of usage data that you want (registration vs reset). For example: /reports/userCredentialUsageDetails?$filter=feature eq 'registration'. Supported filter operators: eq |
| userDisplayName | Filter by user display name. For example: /reports/userCredentialUsageDetails?$filter=userDisplayName eq 'Contoso'. Supported filter operators: eq and startswith(). Supports case insensitive. |
| userPrincipalName | Filter by user principal name. For example: /reports/userCredentialUsageDetails?$filter=userPrincipalName eq 'Contoso'. Supported filter operators: eq and startswith(). Supports case insensitive. |
| isSuccess | Filter by status of the activity. For example: /reports/userCredentialUsageDetails?$filter=isSuccess eq true. Supported filter operators: eq and orderby. |
| authMethod | Filter by the authentication methods using during registration. For example: /reports/userCredentialUsageDetails?$filter=authMethod eq microsoft.graph.usageAuthMethod'email'. Supported filter operators: eq. |
| failureReason | Filter by failure reason (if the activity has failed). For example: /reports/userCredentialUsageDetails?$filter=failureReason eq 'Contoso'. Supported filter operators: eq and startswith(). Supports case insensitive. |
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token} |
| Content-Type | application/json |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of userCredentialUsageDetails objects in the response body.
Examples
The following example shows how to call this API.
Request
The following is an example of the request.
GET https://graph.microsoft.com/beta/reports/userCredentialUsageDetails
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability. All the properties are returned from an actual call.
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context":"https://graph.microsoft.com/beta/reports/$metadata#Collection(microsoft.graph.getUserCredentialUsageDetails)",
"value":[
{
"id" : "id-value",
"feature":"registration",
"userPrincipalName":"userPrincipalName-value",
"userDisplayName": "userDisplayName-value",
"isSuccess" : true,
"authMethod": "email",
"failureReason": "User contacted an admin after trying the email verification option",
"eventDateTime" : "2019-04-01T00:00:00Z"
}
]
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk